# RakPeer.h File Reference

Declares RakPeer class. More...

`#include "ReliabilityLayer.h"`
`#include "RakPeerInterface.h"`
`#include "RPCNode.h"`
`#include "RSACrypt.h"`
`#include "BitStream.h"`
`#include "SingleProducerConsumer.h"`
`#include "RPCMap.h"`
`#include "SimpleMutex.h"`
`#include "DS_OrderedList.h"`
`#include "Export.h"`
`#include "RakString.h"`
`#include "RakThread.h"`
`#include "RakNetSocket.h"`
`#include "RakNetSmartPtr.h"`
`#include "DS_ThreadsafeAllocatingQueue.h"`
`#include "SignaledEvent.h"`

## Classes
class | RakPeer
| Main interface for network communications. More...

## Detailed Description

Declares RakPeer class.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.